import { useQuery } from '@tanstack/react-query'

const QUALITEER_URL = "https://qualiteer.elijahparker3.repl.co/api";

export const useCatalogTests = () => useQuery(['catalogTests'], () =>
    fetch(`${QUALITEER_URL}/catalog/tests`).then(res =>
      res.json()
    )
  )

export const usePipelineMappings = () => useQuery(['pipelineMappings'], () =>
    fetch(`${QUALITEER_URL}/catalog/pipeline-mappings`).then(res =>
      res.json()
    )
  )

export const useSilencedAlerts = () => useQuery(['silenced'], () =>
    fetch(`${QUALITEER_URL}/alerting/silenced`).then(res =>
      res.json()
    )
  )

export const useCurrentlyFailing = () => useQuery(['failing'], () =>
    fetch(`${QUALITEER_URL}/results/failing`).then(res =>
      res.json()
    )
  )